> For the complete documentation index, see [llms.txt](https://docs.ur.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ur.io/api/about.md).

# About

BringYour is a web-standards VPN marketplace with an emphasis on fast, secure internet everwhere.

The API for BringYour bootstraps the `connect` protocol, and is the source of JWTs and other match-making transactions.

The JWT returned by /auth routes does not have a clientId. The `connect` protocol requires a JWT with a clientId. Use the /network routes to obtain a JWT with a clientId.

In the BringYour network:

* a network name is a globally unique subnet (xyz.bringyour.network)
* a clientId is a globally unique 16-byte address
* clientIds are equivalent to IPv6, but are expressed as UDID
* clients also have an IPv6 and IPv4 mapped to their clientId

Outside of IP translation like taptun/utun, clients are typically addressed via their clientId.

Unless otherwise specified, time/date strings will be formatted in the Go default `2006-01-02 15:04:05.999999999 -0700 MST`.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ur.io/api/about.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
